summaryrefslogtreecommitdiffstats
path: root/CIbuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'CIbuild.sh')
-rwxr-xr-xCIbuild.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/CIbuild.sh b/CIbuild.sh
new file mode 100755
index 000000000..683c1fc74
--- /dev/null
+++ b/CIbuild.sh
@@ -0,0 +1,11 @@
+ #!/usr/bin/env bash
+
+set -e
+
+cmake . -DBUILD_TOOLS=1 -DSELF_TEST=1;
+make -j 2;
+make -j 2 test;
+cd MCServer/;
+if [ "$TRAVIS_MCSERVER_BUILD_TYPE" != "COVERAGE" ]
+ then echo stop | $MCSERVER_PATH;
+fi